Browse Source

Mise à jour de la dépendance LevelDB

develop
William Petit 1 year ago
parent
commit
dd8f1f9368
2 changed files with 2 additions and 2 deletions
  1. 1
    1
      lib/db.js
  2. 1
    1
      package.json

+ 1
- 1
lib/db.js View File

@@ -1,5 +1,5 @@
1 1
 var level = require('level');
2
-var sublevel = require('level-sublevel');
2
+var sublevel = require('level-sublevel/legacy');
3 3
 var config = require('./config');
4 4
 
5 5
 module.exports = sublevel(level(config.dbPath, {valueEncoding: 'json'}));

+ 1
- 1
package.json View File

@@ -18,7 +18,7 @@
18 18
     "debug": "^2.2.0",
19 19
     "express": "^4.13.0",
20 20
     "jquery": "^2.1.4",
21
-    "level": "^1.2.0",
21
+    "level": "^4.0.0",
22 22
     "level-sublevel": "^6.4.6",
23 23
     "lodash": "^4.11.1",
24 24
     "mithril": "^0.2.3",

Loading…
Cancel
Save